
Core - Bug # 59318

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: TypoScript
Created: 2014-06-03 Assigned To: Marc Bastian Heinrichs
Updated: 2014-06-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Loading css_styled_content TS using INCLUDE_TYPOSCRIPT doesn't include defaultContentRendering
Description

Since making TS content templates more flexible in https://review.typo3.org/#/c/27587/ the fix for making loading css_styled_content
TS using INCLUDE_TYPOSCRIPT work https://review.typo3.org/#/c/21679/ is broken.

The problem is again, that tt_content.list.20.* is not appended if the TS of css_styled_content is loaded using
INCLUDE_TYPOSCRIPT.

Related issues:
related to Core - Feature # 44983: Including the CSC typoscript in external f... Resolved 2013-01-30
related to Core - Bug # 49461: Cannot load css_styled_content TS using INCLUD... Resolved 2013-06-27
related to Core - Bug # 52946: ExtensionUtility::configurePlugin doesn't set ... New 2013-10-18
related to Core - Task # 55942: More robust way of appending TypoScript to co... Resolved 2014-02-12

Associated revisions
Revision 81ec29a2 - 2014-06-11 11:07 - Marc Bastian Heinrichs

[BUGFIX] Add additional TS for contentRenderingTemplates loaded by file

Loading extensions TS, that provide contentRenderingTemplates, like
css_styled_content, using INCLUDE_TYPOSCRIPT was fixed in
https://review.typo3.org/#/c/21679/.

Since making TS content templates more flexible in
https://review.typo3.org/#/c/27587/ the contentRenderingTemplates wasn't
added to "defaultTypoScript_setup." and "defaultTypoScript_constants." 
arrays anymore and breaks the mentioned fix.

Solution is to check the required key in contentRenderingTemplates and
add the defaultContentRendering string now.

Resolves: #59318
Releases: 6.2
Change-Id: I8a367f462f304e07bbcec99fd26818bc98148eb4
Reviewed-on: https://review.typo3.org/30544
Reviewed-by: Benjamin Mack
Reviewed-by: Krzysztof Adamczyk
Tested-by: Krzysztof Adamczyk
Reviewed-by: Tymoteusz Motylewski
Tested-by: Tymoteusz Motylewski
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2014-06-03 18:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30544

#2 - 2014-06-11 11:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:81ec29a236f76983f22d7374b7845be9293072cd.
